﻿/**Begin D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOEBS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_CADREQUITTYPE_L')
CREATE TABLE T_SOEBS_CADREQUITTYPE_L (
                                         FID BIGINT DEFAULT 0 NOT NULL,
                                         FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                         FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                         FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                         FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                         FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_CADREQUITTYPE')
CREATE TABLE T_SOEBS_CADREQUITTYPE (
                                       FID BIGINT DEFAULT 0 NOT NULL,
                                       FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
                                       FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                       FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                       FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
                                       FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                       FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                       FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                       FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                       FCREATETIME DATETIME,
                                       FMODIFYTIME DATETIME,
                                       FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                       FINDEX INT DEFAULT 0 NOT NULL,
                                       FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
                                       FDISABLERID BIGINT DEFAULT 0 NOT NULL,
                                       FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SOEBS_CADREFILE' AND KSQL_COL_NAME ='FVALIDDATE')
ALTER TABLE T_SOEBS_CADREFILE ADD (FVALIDDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SOEBS_CADREFILE' AND KSQL_COL_NAME ='FINVALIDDATE')
ALTER TABLE T_SOEBS_CADREFILE ADD (FINVALIDDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SOEBS_CADREFILE' AND KSQL_COL_NAME ='FCADRESTATUS')
ALTER TABLE T_SOEBS_CADREFILE ADD (FCADRESTATUS VARCHAR(10) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SOEBS_CADREFILE' AND KSQL_COL_NAME ='FDEPEMPID')
ALTER TABLE T_SOEBS_CADREFILE ADD (FDEPEMPID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SOEBS_CADREFILE' AND KSQL_COL_NAME ='FINITSTATUS')
ALTER TABLE T_SOEBS_CADREFILE ADD (FINITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SOEBS_CADREFILE' AND KSQL_COL_NAME ='FINITBATCH')
ALTER TABLE T_SOEBS_CADREFILE ADD (FINITBATCH BIGINT DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_CADREFILESNAP')
CREATE TABLE T_SOEBS_CADREFILESNAP (
                                       FID BIGINT DEFAULT 0 NOT NULL,
                                       FMANAGEORGID BIGINT DEFAULT 0 NOT NULL,
                                       FORGID BIGINT DEFAULT 0 NOT NULL,
                                       FQUITDATE DATETIME,
                                       FCREATESOURCE VARCHAR(10) DEFAULT ' ' NOT NULL,
                                       FNEWMANAGEORGID BIGINT DEFAULT 0 NOT NULL,
                                       FQUITTYPEID BIGINT DEFAULT 0 NOT NULL,
                                       FQUITREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                       FCADRESTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                       FCADREFLAG CHAR(1) DEFAULT '0' NOT NULL,
                                       FCREATEDATE DATETIME,
                                       FCADREFILEID BIGINT DEFAULT 0 NOT NULL,
                                       FADMINORGID BIGINT DEFAULT 0 NOT NULL,
                                       FPERSONID BIGINT DEFAULT 0 NOT NULL,
                                       FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
                                       FRULESORTNUM INT DEFAULT 0 NOT NULL,
                                       FUSERSORTNUM INT DEFAULT 0 NOT NULL,
                                       FLATESTVER CHAR(1) DEFAULT '0' NOT NULL,
                                       FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
                                       FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
                                       FJOBID BIGINT DEFAULT 0 NOT NULL,
                                       FCADRECATEGORYID BIGINT DEFAULT 0 NOT NULL,
                                       FEMPRELATIONTYPEID BIGINT DEFAULT 0 NOT NULL,
                                       FDEPEMPID BIGINT DEFAULT 0 NOT NULL,
                                       FPID BIGINT DEFAULT 0 NOT NULL,
                                       FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                       FCREATETIME DATETIME,
                                       FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                       FMODIFYTIME DATETIME,
                                       FINITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                       FINITBATCH BIGINT DEFAULT 0 NOT NULL,
                                       FINITDATASOURCE VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_CADREFILESNAPHIS')
CREATE TABLE T_SOEBS_CADREFILESNAPHIS (
                                          FID BIGINT DEFAULT 0 NOT NULL,
                                          FFILEFID BIGINT DEFAULT 0 NOT NULL,
                                          FENTITYKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
                                          FENTITYFID BIGINT DEFAULT 0 NOT NULL,
                                          FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                          FCREATETIME DATETIME,
                                          FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                          FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_CADREFILESNAP_L')
CREATE TABLE T_SOEBS_CADREFILESNAP_L (
                                         FID BIGINT DEFAULT 0 NOT NULL,
                                         FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                         FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                         FQUITREASON NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SOEBS_CADRETODOLIST_L' AND KSQL_COL_NAME ='FIGNOREREASON')
ALTER TABLE T_SOEBS_CADRETODOLIST_L ADD (FIGNOREREASON NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SOEBS_CADRETODOLIST' AND KSQL_COL_NAME ='FEVENTSOURCE')
ALTER TABLE T_SOEBS_CADRETODOLIST ADD (FEVENTSOURCE VARCHAR(10) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SOEBS_CADRETODOLIST' AND KSQL_COL_NAME ='FTODOTYPE')
ALTER TABLE T_SOEBS_CADRETODOLIST ADD (FTODOTYPE VARCHAR(10) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SOEBS_CADRETODOLIST' AND KSQL_COL_NAME ='FTARGETMANAGEORGID')
ALTER TABLE T_SOEBS_CADRETODOLIST ADD (FTARGETMANAGEORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SOEBS_CADRETODOLIST' AND KSQL_COL_NAME ='FHANDLERID')
ALTER TABLE T_SOEBS_CADRETODOLIST ADD (FHANDLERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SOEBS_CADRETODOLIST' AND KSQL_COL_NAME ='FHANDLETIME')
ALTER TABLE T_SOEBS_CADRETODOLIST ADD (FHANDLETIME DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SOEBS_CADRETODOLIST' AND KSQL_COL_NAME ='FIGNOREREASON')
ALTER TABLE T_SOEBS_CADRETODOLIST ADD (FIGNOREREASON NVARCHAR(255) DEFAULT ' ' NOT NULL );
--- drop column --------- 不允许删除表T_SOEBS_CADRETODOLIST的字段FSOURCE，请恢复pdm中的字段 -------------------
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_EDIRECMEM')
CREATE TABLE T_SOEBS_EDIRECMEM (
                                   FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                   FSEQ INT DEFAULT 0 NOT NULL,
                                   FMEMTITLE VARCHAR(255) DEFAULT ' ' NOT NULL,
                                   FMENNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
                                   FMEMBIRTH VARCHAR(255) DEFAULT ' ' NOT NULL,
                                   FMEMPOLITLOOK VARCHAR(255) DEFAULT ' ' NOT NULL,
                                   FMEMUNIT VARCHAR(255) DEFAULT ' ' NOT NULL,
                                   FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_APPEDIRECORD')
CREATE TABLE T_SOEBS_APPEDIRECORD (
                                      FID BIGINT DEFAULT 0 NOT NULL,
                                      FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
                                      FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                      FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
                                      FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                      FUSERNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
                                      FGENDER VARCHAR(255) DEFAULT ' ' NOT NULL,
                                      FBIRTHDATE VARCHAR(255) DEFAULT ' ' NOT NULL,
                                      FNATION VARCHAR(255) DEFAULT ' ' NOT NULL,
                                      FNATIVEPLACE VARCHAR(255) DEFAULT ' ' NOT NULL,
                                      FBIRTHPLACE VARCHAR(255) DEFAULT ' ' NOT NULL,
                                      FJOINPARTYDATE VARCHAR(255) DEFAULT ' ' NOT NULL,
                                      FWORKDATE VARCHAR(255) DEFAULT ' ' NOT NULL,
                                      FHEACONDITION VARCHAR(255) DEFAULT ' ' NOT NULL,
                                      FPROPROFESSION VARCHAR(255) DEFAULT ' ' NOT NULL,
                                      FFULLTIMEDU VARCHAR(255) DEFAULT ' ' NOT NULL,
                                      FFULLTIMEDEGR VARCHAR(255) DEFAULT ' ' NOT NULL,
                                      FFULLSCHOOLEDU VARCHAR(255) DEFAULT ' ' NOT NULL,
                                      FFULLSCHOOLDEGR VARCHAR(255) DEFAULT ' ' NOT NULL,
                                      FINSERVICEEDU VARCHAR(255) DEFAULT ' ' NOT NULL,
                                      FINSERVICEEDR VARCHAR(255) DEFAULT ' ' NOT NULL,
                                      FINSCHOOLEDU VARCHAR(255) DEFAULT ' ' NOT NULL,
                                      FINSCHOOLEDR VARCHAR(255) DEFAULT ' ' NOT NULL,
                                      FCURPOSITION NCLOB,
                                      FPROPOSITION NCLOB,
                                      FPROREMPOSITION NCLOB,
                                      FREWANDPUN NCLOB,
                                      FASSREASONS NCLOB,
                                      FAPPREMREASONS NCLOB,
                                      FREPUNIT NCLOB,
                                      FIDCARD VARCHAR(255) DEFAULT ' ' NOT NULL,
                                      FCALAGETIME VARCHAR(255) DEFAULT ' ' NOT NULL,
                                      FWRITEDATE VARCHAR(255) DEFAULT ' ' NOT NULL,
                                      FWRITTENBY VARCHAR(255) DEFAULT ' ' NOT NULL,
                                      FCOMBOFIELD VARCHAR(10) DEFAULT ' ' NOT NULL,
                                      FPERSONNUM VARCHAR(255) DEFAULT ' ' NOT NULL,
                                      FVERSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                      FPERSONID BIGINT DEFAULT 0 NOT NULL,
                                      FBILLID BIGINT DEFAULT 0 NOT NULL,
                                      FVERSION VARCHAR(255) DEFAULT ' ' NOT NULL,
                                      FEXPIRETIME DATETIME,
                                      FPICTUREFIELD VARCHAR(255) DEFAULT ' ' NOT NULL,
                                      FSPECIALTY VARCHAR(255) DEFAULT ' ' NOT NULL,
                                      FNOTES VARCHAR(255) DEFAULT ' ' NOT NULL,
                                      FNOTES_TAG NCLOB,
                                      FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                      FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                      FCREATETIME DATETIME,
                                      FMODIFYTIME DATETIME,
                                      FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                      FINDEX INT DEFAULT 0 NOT NULL,
                                      FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
                                      FDISABLERID BIGINT DEFAULT 0 NOT NULL,
                                      FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_APPEDIRECORD_L')
CREATE TABLE T_SOEBS_APPEDIRECORD_L (
                                        FID BIGINT DEFAULT 0 NOT NULL,
                                        FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                        FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                        FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


/**End D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOEBS_table.sql **/
