﻿/**Begin D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOEBS_constraint.sql **/
EXEC P_ALTERPK 'PK_SOEBS_BAKCADREFILE_L', 'T_SOEBS_BAKCADREFILE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_BAKCADREFILE_L' AND KSQL_INDNAME = 'IDX_SOEBS_BAKCADREFILE_L') CREATE INDEX IDX_SOEBS_BAKCADREFILE_L ON T_SOEBS_BAKCADREFILE_L ( FID ,FLOCALEID );


EXEC P_ALTERPK 'PK_SOEBS_BAKCADRETODOLIST', 'T_SOEBS_BAKCADRETODOLIST', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_BAKCADRETODOLIST' AND KSQL_INDNAME = 'IDX_BAKCADRETODO_PERSON') CREATE INDEX IDX_BAKCADRETODO_PERSON ON T_SOEBS_BAKCADRETODOLIST ( FPERSONID );


EXEC P_ALTERPK 'PK_SOEBS_BAKCADRETODOLIST_L', 'T_SOEBS_BAKCADRETODOLIST_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_BAKCADRETODOLIST_L' AND KSQL_INDNAME = 'IDX_SOEBS_BAKCADRETODOLIST_L') CREATE INDEX IDX_SOEBS_BAKCADRETODOLIST_L ON T_SOEBS_BAKCADRETODOLIST_L ( FID ,FLOCALEID );


EXEC P_ALTERPK 'PK_SOEBS_BAKCONFIG', 'T_SOEBS_BAKCONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_BAKCONFIG' AND KSQL_INDNAME = 'IDX_SOEBS_BAKCONFIG_NUM') CREATE INDEX IDX_SOEBS_BAKCONFIG_NUM ON T_SOEBS_BAKCONFIG ( FNUMBER );


EXEC P_ALTERPK 'PK_SOEBS_EXITRULE', 'T_SOEBS_EXITRULE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_EXITRULE' AND KSQL_INDNAME = 'IDX_SOEBS_EXITRULE') CREATE INDEX IDX_SOEBS_EXITRULE ON T_SOEBS_EXITRULE ( FID );


EXEC P_ALTERPK 'PK_SOEBS_RULECADSUBENTITY', 'T_SOEBS_RULECADSUBENTITY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_RULECADSUBENTITY' AND KSQL_INDNAME = 'IDX_SOEBS_RULECADSUBENTITY') CREATE INDEX IDX_SOEBS_RULECADSUBENTITY ON T_SOEBS_RULECADSUBENTITY ( FENTRYID );


EXEC P_ALTERPK 'PK_SOEBS_TRAINPERIOD', 'T_SOEBS_TRAINPERIOD', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_TRAINPERIOD' AND KSQL_INDNAME = 'IDX_SOEBS_TRAINPERIOD') CREATE INDEX IDX_SOEBS_TRAINPERIOD ON T_SOEBS_TRAINPERIOD ( FENTRYID );


EXEC P_ALTERPK 'PK_SOEBS_ORGSCOPES', 'T_SOEBS_ORGSCOPES', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_ORGSCOPES' AND KSQL_INDNAME = 'IDX_SOEBS_ORGSCOPES') CREATE INDEX IDX_SOEBS_ORGSCOPES ON T_SOEBS_ORGSCOPES ( FDETAILID ,FBASEDATAID );


EXEC P_ALTERPK 'PK_SOEBS_EXITRULE_L', 'T_SOEBS_EXITRULE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_EXITRULE_L' AND KSQL_INDNAME = 'IDX_SOEBS_EXITRULE_L') CREATE INDEX IDX_SOEBS_EXITRULE_L ON T_SOEBS_EXITRULE_L ( FENTRYID ,FLOCALEID );


EXEC P_ALTERPK 'PK_SOEBS_BAKCONFIG_L', 'T_SOEBS_BAKCONFIG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_BAKCONFIG_L' AND KSQL_INDNAME = 'IDX_SOEBS_BAKCONFIG_L') CREATE INDEX IDX_SOEBS_BAKCONFIG_L ON T_SOEBS_BAKCONFIG_L ( FID ,FLOCALEID );


EXEC P_ALTERPK 'PK_SOEBS_BAKCADRESNAP', 'T_SOEBS_BAKCADRESNAP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_BAKCADRESNAP' AND KSQL_INDNAME = 'IDX_SOEBS_BAKCADRESNAP_PERSON') CREATE INDEX IDX_SOEBS_BAKCADRESNAP_PERSON ON T_SOEBS_BAKCADRESNAP ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_BAKCADRESNAP' AND KSQL_INDNAME = 'IDX_SOEBS_BAKCADRESNAP_ORG') CREATE INDEX IDX_SOEBS_BAKCADRESNAP_ORG ON T_SOEBS_BAKCADRESNAP ( FORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_BAKCADRESNAP' AND KSQL_INDNAME = 'IDX_SOEBS_BAKCADRESNAP_MORG') CREATE INDEX IDX_SOEBS_BAKCADRESNAP_MORG ON T_SOEBS_BAKCADRESNAP ( FMANAGEORGID );


EXEC P_ALTERPK 'PK_SOEBS_BAKCADRESNAP_L', 'T_SOEBS_BAKCADRESNAP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_BAKCADRESNAP_L' AND KSQL_INDNAME = 'IDX_SOEBS_BAKCADRESNAP_L') CREATE INDEX IDX_SOEBS_BAKCADRESNAP_L ON T_SOEBS_BAKCADRESNAP_L ( FLOCALEID ,FID );


EXEC P_ALTERPK 'PK_SOEBS_BAKCADRESNAPHIS', 'T_SOEBS_BAKCADRESNAPHIS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_BAKCADRESNAPHIS' AND KSQL_INDNAME = 'IDX_SOEBS_BAKHIS_FILEFID') CREATE INDEX IDX_SOEBS_BAKHIS_FILEFID ON T_SOEBS_BAKCADRESNAPHIS ( FFILEFID );



/**End D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOEBS_constraint.sql **/
