﻿/**Begin D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOEBS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_CADRECV')
CREATE TABLE T_SOEBS_CADRECV (
                                 FID BIGINT DEFAULT 0 NOT NULL,
                                 FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
                                 FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                 FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                 FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                 FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                 FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
                                 FCREATETIME DATETIME,
                                 FMODIFYTIME DATETIME,
                                 FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                 FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                 FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                 FINDEX INT DEFAULT 0 NOT NULL,
                                 FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
                                 FDISABLERID BIGINT DEFAULT 0 NOT NULL,
                                 FDISABLEDATE DATETIME,
                                 FFIRSTWORKTIMEUNIT NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                 FCPCINFO NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                 FYCLINFO NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                 FDEMOCRATICPARTY NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                 FDUTYTITLE NVARCHAR(500) DEFAULT ' ' NOT NULL,
                                 FMILITARYRANK NVARCHAR(500) DEFAULT ' ' NOT NULL,
                                 FTRAININGINFO NVARCHAR(500) DEFAULT ' ' NOT NULL,
                                 FPATENT NVARCHAR(500) DEFAULT ' ' NOT NULL,
                                 FSOCIALORGPOSITION NVARCHAR(500) DEFAULT ' ' NOT NULL,
                                 FRELIGION NVARCHAR(500) DEFAULT ' ' NOT NULL,
                                 FABROAD NVARCHAR(500) DEFAULT ' ' NOT NULL,
                                 FLANGSKILL NVARCHAR(500) DEFAULT ' ' NOT NULL,
                                 FREWARD NVARCHAR(500) DEFAULT ' ' NOT NULL,
                                 FPUNISHMENT NVARCHAR(500) DEFAULT ' ' NOT NULL,
                                 FREACTIONARY NVARCHAR(500) DEFAULT ' ' NOT NULL,
                                 FCULREVMISTAKE NVARCHAR(500) DEFAULT ' ' NOT NULL,
                                 FSFULLNAME NVARCHAR(150) DEFAULT ' ' NOT NULL,
                                 FSBIRTHDAY DATETIME,
                                 FSFLOKID BIGINT DEFAULT 0 NOT NULL,
                                 FSNATIVEPLACE NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                 FINWORKTIME DATETIME,
                                 FPOLITICALSTATUSID BIGINT DEFAULT 0 NOT NULL,
                                 FSEDUCATIONID BIGINT DEFAULT 0 NOT NULL,
                                 FPROFTECHPOSITION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                 FSBIRTHPLACE NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                 FWAGESITUATION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                 FSCOLLEGEDEPTMAJOR NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                 FSWORKUNITPOSITION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                 FOTHERSIT NVARCHAR(1000) DEFAULT ' ' NOT NULL,
                                 FCADREFILEID BIGINT DEFAULT 0 NOT NULL,
                                 FISARVERSION CHAR(1) DEFAULT '0' NOT NULL,
                                 FRESUMEVIEWCONF VARCHAR(10) DEFAULT ' ' NOT NULL,
                                 FVIEWCONFID BIGINT DEFAULT 0 NOT NULL,
                                 FSOURCEJSON NCLOB,
                                 FSOURCEJSON_TAG NCLOB,
                                 FPERSONID BIGINT DEFAULT 0 NOT NULL,
                                 FHEADPORTRAIT VARCHAR(255) DEFAULT ' ' NOT NULL,
                                 FFULLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                 FFORMERNAME NVARCHAR(150) DEFAULT ' ' NOT NULL,
                                 FNATIVEPLACE NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                 FBIRTHPLACE NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                 FGENDERID BIGINT DEFAULT 0 NOT NULL,
                                 FFLOKID BIGINT DEFAULT 0 NOT NULL,
                                 FBIRTHDAY DATETIME,
                                 FEDUCATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                 FDEGREEID BIGINT DEFAULT 0 NOT NULL,
                                 FFTEDUCATIONID BIGINT DEFAULT 0 NOT NULL,
                                 FBASEDATAFIELD BIGINT DEFAULT 0 NOT NULL,
                                 FFTMAJOR NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                 FOJEDUCATIONID BIGINT DEFAULT 0 NOT NULL,
                                 FOJDEGREEID BIGINT DEFAULT 0 NOT NULL,
                                 FOJMAJOR NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                 FWORKUNITPOSITION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                 FIDNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
                                 FHEALTHSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                 FMARRIAGESTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                 FDUTYWAGEGRADE NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                 FDUTYWAGEAMT VARCHAR(255) DEFAULT ' ' NOT NULL,
                                 FLEVELWAGELEVEL NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                 FLEVELWAGEAMT VARCHAR(255) DEFAULT ' ' NOT NULL,
                                 FDIFFJSON NCLOB,
                                 FDIFFJSON_TAG NCLOB,
                                 FWORKUNIT NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                 FPOSITION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_CADRECVOTHMEM_L')
CREATE TABLE T_SOEBS_CADRECVOTHMEM_L (
                                         FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                         FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                         FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                         FOMRELATIONSHIP NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                         FOMFULLNAME NVARCHAR(150) DEFAULT ' ' NOT NULL,
                                         FOMWORKUNITPOSITION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_CADRECVEDUEXP_L')
CREATE TABLE T_SOEBS_CADRECVEDUEXP_L (
                                         FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                         FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                         FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                         FCOLLEGEDEPTMAJOR NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                         FGRADUTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                         FECERTIFIER NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_CADRECVELECTCOND')
CREATE TABLE T_SOEBS_CADRECVELECTCOND (
                                          FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                          FSEQ INT DEFAULT 0 NOT NULL,
                                          FELECTDATE DATETIME,
                                          FCONFNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                          FSTATUSPOSITION NVARCHAR(1000) DEFAULT ' ' NOT NULL,
                                          FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_CADRECV_L')
CREATE TABLE T_SOEBS_CADRECV_L (
                                   FID BIGINT DEFAULT 0 NOT NULL,
                                   FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                   FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                   FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                   FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                   FFIRSTWORKTIMEUNIT NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                   FCPCINFO NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                   FYCLINFO NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                   FDEMOCRATICPARTY NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                   FDUTYTITLE NVARCHAR(500) DEFAULT ' ' NOT NULL,
                                   FMILITARYRANK NVARCHAR(500) DEFAULT ' ' NOT NULL,
                                   FTRAININGINFO NVARCHAR(500) DEFAULT ' ' NOT NULL,
                                   FPATENT NVARCHAR(500) DEFAULT ' ' NOT NULL,
                                   FSOCIALORGPOSITION NVARCHAR(500) DEFAULT ' ' NOT NULL,
                                   FRELIGION NVARCHAR(500) DEFAULT ' ' NOT NULL,
                                   FABROAD NVARCHAR(500) DEFAULT ' ' NOT NULL,
                                   FLANGSKILL NVARCHAR(500) DEFAULT ' ' NOT NULL,
                                   FREWARD NVARCHAR(500) DEFAULT ' ' NOT NULL,
                                   FPUNISHMENT NVARCHAR(500) DEFAULT ' ' NOT NULL,
                                   FREACTIONARY NVARCHAR(500) DEFAULT ' ' NOT NULL,
                                   FCULREVMISTAKE NVARCHAR(500) DEFAULT ' ' NOT NULL,
                                   FSFULLNAME NVARCHAR(150) DEFAULT ' ' NOT NULL,
                                   FSNATIVEPLACE NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                   FPROFTECHPOSITION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                   FSBIRTHPLACE NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                   FWAGESITUATION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                   FSCOLLEGEDEPTMAJOR NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                   FSWORKUNITPOSITION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                   FOTHERSIT NVARCHAR(1000) DEFAULT ' ' NOT NULL,
                                   FFULLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FFORMERNAME NVARCHAR(150) DEFAULT ' ' NOT NULL,
                                   FNATIVEPLACE NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                   FBIRTHPLACE NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                   FEDUCATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                   FFTMAJOR NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                   FOJMAJOR NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                   FWORKUNITPOSITION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                   FHEALTHSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                   FMARRIAGESTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                   FDUTYWAGEGRADE NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                   FLEVELWAGELEVEL NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                   FWORKUNIT NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                   FPOSITION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_CADRECVWORKEXP')
CREATE TABLE T_SOEBS_CADRECVWORKEXP (
                                        FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                        FSEQ INT DEFAULT 0 NOT NULL,
                                        FSTARTDATE DATETIME,
                                        FENDDATE DATETIME,
                                        FWHITHERTO CHAR(1) DEFAULT '0' NOT NULL,
                                        FWWORKUNITPOSITION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                        FWCERTIFIER NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                        FWORKEXPENTRYBOID BIGINT DEFAULT 0 NOT NULL,
                                        FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_CADRECVOTHMEM')
CREATE TABLE T_SOEBS_CADRECVOTHMEM (
                                       FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                       FSEQ INT DEFAULT 0 NOT NULL,
                                       FOMRELATIONSHIP NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                       FOMFULLNAME NVARCHAR(150) DEFAULT ' ' NOT NULL,
                                       FOMBIRTHDAY DATETIME,
                                       FOMPOLITICALSTATUSID BIGINT DEFAULT 0 NOT NULL,
                                       FOMWORKUNITPOSITION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                       FOTHMEMENTRYBOID BIGINT DEFAULT 0 NOT NULL,
                                       FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_CADRECVWORKEXP_L')
CREATE TABLE T_SOEBS_CADRECVWORKEXP_L (
                                          FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                          FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                          FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                          FWWORKUNITPOSITION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                          FWCERTIFIER NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_ENTRYENTITYTEST')
CREATE TABLE T_SOEBS_ENTRYENTITYTEST (
                                         FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                         FSEQ INT DEFAULT 0 NOT NULL,
                                         FTEXTADDENTRY VARCHAR(50) DEFAULT ' ' NOT NULL,
                                         FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_CADRECVSOCIALREL')
CREATE TABLE T_SOEBS_CADRECVSOCIALREL (
                                          FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                          FSEQ INT DEFAULT 0 NOT NULL,
                                          FSRRELATIONSHIP NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                          FSRFULLNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                          FSRBIRTHDAY DATETIME,
                                          FSRPOLITICALSTATUSID BIGINT DEFAULT 0 NOT NULL,
                                          FSRWORKUNITPOSITION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                          FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_CADRECVSOCIALREL_L')
CREATE TABLE T_SOEBS_CADRECVSOCIALREL_L (
                                            FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                            FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                            FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                            FSRRELATIONSHIP NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                            FSRFULLNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                            FSRWORKUNITPOSITION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_CADRECVEDUEXP')
CREATE TABLE T_SOEBS_CADRECVEDUEXP (
                                       FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                       FSEQ INT DEFAULT 0 NOT NULL,
                                       FADMISSIONDATE DATETIME,
                                       FGRADUTIONDATE DATETIME,
                                       FEHITHERTO CHAR(1) DEFAULT '0' NOT NULL,
                                       FCOLLEGEDEPTMAJOR NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                       FGRADUTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                       FECERTIFIER NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                       FEDUEXPENTRYBOID BIGINT DEFAULT 0 NOT NULL,
                                       FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_CADRECVELECTCOND_L')
CREATE TABLE T_SOEBS_CADRECVELECTCOND_L (
                                            FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                            FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                            FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                            FCONFNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                            FSTATUSPOSITION NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_CADRECV_A')
CREATE TABLE T_SOEBS_CADRECV_A (
                                   FID BIGINT DEFAULT 0 NOT NULL,
                                   FURL VARCHAR(500) DEFAULT ' ' NOT NULL
);

/**End D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOEBS_table.sql **/

/**Begin D:\PDM_UPGRADE\PDM1\SOEBS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_RESUMEFIELDCONF') 
 CREATE TABLE T_SOEBS_RESUMEFIELDCONF (
FID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRYNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_RESUMEFIELDCONF_L') 
 CREATE TABLE T_SOEBS_RESUMEFIELDCONF_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_RESUMECONFENTRY') 
 CREATE TABLE T_SOEBS_RESUMECONFENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSOURCEENTITY VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_RESUMEVIEWCONF') 
 CREATE TABLE T_SOEBS_RESUMEVIEWCONF (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVERSION VARCHAR(10) DEFAULT ' ' NOT NULL,
FISLAST CHAR(1) DEFAULT '0' NOT NULL,
FCLASS VARCHAR(500) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_RESUMEVIEWCONF_L') 
 CREATE TABLE T_SOEBS_RESUMEVIEWCONF_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_VIEWFIELD') 
 CREATE TABLE T_SOEBS_VIEWFIELD (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFIELD BIGINT DEFAULT 0 NOT NULL,
FVIEWNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISVISIBLE CHAR(1) DEFAULT '0' NOT NULL,
FISVALIDATE CHAR(1) DEFAULT '0' NOT NULL,
FISMUSTINPUT CHAR(1) DEFAULT '0' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_VIEWFIELD_L') 
 CREATE TABLE T_SOEBS_VIEWFIELD_L (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FVIEWNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\SOEBS_table.sql **/

/**Begin D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\kd_1.5.236_soebs_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_RESUMEVERSIONCONF_L')
CREATE TABLE T_SOEBS_RESUMEVERSIONCONF_L (
                                             FID BIGINT DEFAULT 0 NOT NULL,
                                             FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                             FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                             FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                             FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                             FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_RESUMEVERSIONCONF')
CREATE TABLE T_SOEBS_RESUMEVERSIONCONF (
                                           FID BIGINT DEFAULT 0 NOT NULL,
                                           FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
                                           FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                           FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                           FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
                                           FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                           FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                           FRADIOGROUPFIELD VARCHAR(10) DEFAULT ' ' NOT NULL,
                                           FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                           FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                           FCREATETIME DATETIME,
                                           FMODIFYTIME DATETIME,
                                           FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                           FINDEX INT DEFAULT 0 NOT NULL,
                                           FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
                                           FDISABLERID BIGINT DEFAULT 0 NOT NULL,
                                           FDISABLEDATE DATETIME
);
