﻿/**Begin D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOEBS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SOEBS_USESCENE' AND KSQL_COL_NAME ='FBUSSCENID')
ALTER TABLE T_SOEBS_USESCENE ADD (FBUSSCENID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SOEBS_USESCENE' AND KSQL_COL_NAME ='FTPLTYPE')
ALTER TABLE T_SOEBS_USESCENE ADD (FTPLTYPE VARCHAR(10) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SOEBS_SIHCCONFIG' AND KSQL_COL_NAME ='FRECEXAM')
ALTER TABLE T_SOEBS_SIHCCONFIG ADD (FRECEXAM CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_BUSSCEN_L')
CREATE TABLE T_SOEBS_BUSSCEN_L (
                                   FID BIGINT DEFAULT 0 NOT NULL,
                                   FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                   FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                   FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                   FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_BUSSCEN')
CREATE TABLE T_SOEBS_BUSSCEN (
                                 FID BIGINT DEFAULT 0 NOT NULL,
                                 FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
                                 FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                 FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                 FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
                                 FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                 FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                 FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                 FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                 FCREATETIME DATETIME,
                                 FMODIFYTIME DATETIME,
                                 FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                 FINDEX INT DEFAULT 0 NOT NULL,
                                 FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
                                 FDISABLERID BIGINT DEFAULT 0 NOT NULL,
                                 FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_TPLAPPADMORG')
CREATE TABLE T_SOEBS_TPLAPPADMORG (
                                      FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                      FSEQ INT DEFAULT 0 NOT NULL,
                                      FADMINORGID BIGINT DEFAULT 0 NOT NULL,
                                      FISINCLUDESUBORG CHAR(1) DEFAULT '0' NOT NULL,
                                      FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_TEMMANENTITY_L')
CREATE TABLE T_SOEBS_TEMMANENTITY_L (
                                        FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                        FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                        FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                        FCOPYWRITING NVARCHAR(2000) DEFAULT ' ' NOT NULL,
                                        FELEMENT NVARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOEBS_table.sql **/
