﻿/**Begin D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOEBS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SOEBS_CADRETODOLIST' AND KSQL_COL_NAME ='FSTDPOSITIONID')
ALTER TABLE T_SOEBS_CADRETODOLIST ADD (FSTDPOSITIONID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SOEBS_CADREFILESNAP' AND KSQL_COL_NAME ='FSTDPOSITIONID')
ALTER TABLE T_SOEBS_CADREFILESNAP ADD (FSTDPOSITIONID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SOEBS_CADREFILE' AND KSQL_COL_NAME ='FSTDPOSITIONID')
ALTER TABLE T_SOEBS_CADREFILE ADD (FSTDPOSITIONID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SOEBS_CADRESORTENTRY' AND KSQL_COL_NAME ='FASCENDINGNAME')
ALTER TABLE T_SOEBS_CADRESORTENTRY ADD (FASCENDINGNAME VARCHAR(10) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SOEBS_CADRESORTENTRY' AND KSQL_COL_NAME ='FSORTFILEDNAME')
ALTER TABLE T_SOEBS_CADRESORTENTRY ADD (FSORTFILEDNAME NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SOEBS_CADRESORTENTRY' AND KSQL_COL_NAME ='FSORTKEYNAME')
ALTER TABLE T_SOEBS_CADRESORTENTRY ADD (FSORTKEYNAME NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_CADRESORTMAPPING')
CREATE TABLE T_SOEBS_CADRESORTMAPPING (
                                          FID BIGINT DEFAULT 0 NOT NULL,
                                          FBIZENTITYID VARCHAR(36) DEFAULT ' ' NOT NULL,
                                          FCADRESORTRULEID BIGINT DEFAULT 0 NOT NULL,
                                          FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                          FCREATETIME DATETIME,
                                          FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                          FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_CADRESORTENTRY_L')
CREATE TABLE T_SOEBS_CADRESORTENTRY_L (
                                          FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                          FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                          FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                          FSORTFILEDNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                          FSORTKEYNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_ROSTERBASELOCA')
CREATE TABLE T_SOEBS_ROSTERBASELOCA (
                                        FID BIGINT DEFAULT 0 NOT NULL,
                                        FCADREFILESNAPID BIGINT DEFAULT 0 NOT NULL,
                                        FEXTENTITYID BIGINT DEFAULT 0 NOT NULL,
                                        FBUSINESSSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                        FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                        FCREATETIME DATETIME,
                                        FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                        FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_ROSTEREMPCADRE')
CREATE TABLE T_SOEBS_ROSTEREMPCADRE (
                                        FID BIGINT DEFAULT 0 NOT NULL,
                                        FCADREFILESNAPID BIGINT DEFAULT 0 NOT NULL,
                                        FEXTENTITYID BIGINT DEFAULT 0 NOT NULL,
                                        FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                        FCREATETIME DATETIME,
                                        FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                        FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_ROSTEREMPENTREL')
CREATE TABLE T_SOEBS_ROSTEREMPENTREL (
                                         FID BIGINT DEFAULT 0 NOT NULL,
                                         FCADREFILESNAPID BIGINT DEFAULT 0 NOT NULL,
                                         FEXTENTITYID BIGINT DEFAULT 0 NOT NULL,
                                         FISLATESTRECORD CHAR(1) DEFAULT '0' NOT NULL,
                                         FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                         FCREATETIME DATETIME,
                                         FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                         FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_ROSTEREMPPOSREL')
CREATE TABLE T_SOEBS_ROSTEREMPPOSREL (
                                         FID BIGINT DEFAULT 0 NOT NULL,
                                         FCADREFILESNAPID BIGINT DEFAULT 0 NOT NULL,
                                         FEXTENTITYID BIGINT DEFAULT 0 NOT NULL,
                                         FDEPEMPID BIGINT DEFAULT 0 NOT NULL,
                                         FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                         FCREATETIME DATETIME,
                                         FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                         FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_ROSTERENTITYCNF')
CREATE TABLE T_SOEBS_ROSTERENTITYCNF (
                                         FID BIGINT DEFAULT 0 NOT NULL,
                                         FCONFENTITYID VARCHAR(36) DEFAULT ' ' NOT NULL,
                                         FQUERYFIELDS VARCHAR(500) DEFAULT ' ' NOT NULL,
                                         FCONFMAPPINGENTITYID VARCHAR(36) DEFAULT ' ' NOT NULL,
                                         FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                         FCREATETIME DATETIME,
                                         FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                         FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_ROSTERPERCONTACT')
CREATE TABLE T_SOEBS_ROSTERPERCONTACT (
                                          FID BIGINT DEFAULT 0 NOT NULL,
                                          FCADREFILESNAPID BIGINT DEFAULT 0 NOT NULL,
                                          FEXTENTITYID BIGINT DEFAULT 0 NOT NULL,
                                          FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                          FCREATETIME DATETIME,
                                          FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                          FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_ROSTERPERCRE')
CREATE TABLE T_SOEBS_ROSTERPERCRE (
                                      FID BIGINT DEFAULT 0 NOT NULL,
                                      FCADREFILESNAPID BIGINT DEFAULT 0 NOT NULL,
                                      FEXTENTITYID BIGINT DEFAULT 0 NOT NULL,
                                      FISMAJOR CHAR(1) DEFAULT '0' NOT NULL,
                                      FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                      FCREATETIME DATETIME,
                                      FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                      FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_ROSTERPEREDUEXP')
CREATE TABLE T_SOEBS_ROSTERPEREDUEXP (
                                         FID BIGINT DEFAULT 0 NOT NULL,
                                         FCADREFILESNAPID BIGINT DEFAULT 0 NOT NULL,
                                         FEXTENTITYID BIGINT DEFAULT 0 NOT NULL,
                                         FISHIGHESTDEGREE VARCHAR(10) DEFAULT ' ' NOT NULL,
                                         FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                         FCREATETIME DATETIME,
                                         FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                         FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_ROSTERPERNOPRO')
CREATE TABLE T_SOEBS_ROSTERPERNOPRO (
                                        FID BIGINT DEFAULT 0 NOT NULL,
                                        FCADREFILESNAPID BIGINT DEFAULT 0 NOT NULL,
                                        FEXTENTITYID BIGINT DEFAULT 0 NOT NULL,
                                        FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                        FCREATETIME DATETIME,
                                        FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                        FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_ROSTERPEROCPQUAL')
CREATE TABLE T_SOEBS_ROSTERPEROCPQUAL (
                                          FID BIGINT DEFAULT 0 NOT NULL,
                                          FCADREFILESNAPID BIGINT DEFAULT 0 NOT NULL,
                                          FEXTENTITYID BIGINT DEFAULT 0 NOT NULL,
                                          FISMAJOR CHAR(1) DEFAULT '0' NOT NULL,
                                          FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                          FCREATETIME DATETIME,
                                          FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                          FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_ROSTERPERPROTIT')
CREATE TABLE T_SOEBS_ROSTERPERPROTIT (
                                         FID BIGINT DEFAULT 0 NOT NULL,
                                         FCADREFILESNAPID BIGINT DEFAULT 0 NOT NULL,
                                         FEXTENTITYID BIGINT DEFAULT 0 NOT NULL,
                                         FISHIGH CHAR(1) DEFAULT '0' NOT NULL,
                                         FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                         FCREATETIME DATETIME,
                                         FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                         FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_ROSTERPERREGION')
CREATE TABLE T_SOEBS_ROSTERPERREGION (
                                         FID BIGINT DEFAULT 0 NOT NULL,
                                         FCADREFILESNAPID BIGINT DEFAULT 0 NOT NULL,
                                         FEXTENTITYID BIGINT DEFAULT 0 NOT NULL,
                                         FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                         FCREATETIME DATETIME,
                                         FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                         FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_ROSTERPERTSPROP')
CREATE TABLE T_SOEBS_ROSTERPERTSPROP (
                                         FID BIGINT DEFAULT 0 NOT NULL,
                                         FCADREFILESNAPID BIGINT DEFAULT 0 NOT NULL,
                                         FEXTENTITYID BIGINT DEFAULT 0 NOT NULL,
                                         FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                         FCREATETIME DATETIME,
                                         FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                         FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_DISPLAYENTRY')
CREATE TABLE T_SOEBS_DISPLAYENTRY (
                                      FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                      FSEQ INT DEFAULT 0 NOT NULL,
                                      FGROUP NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                      FDISPLAYALIAS NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                      FSHOWNODEID VARCHAR(100) DEFAULT ' ' NOT NULL,
                                      FFREEZE CHAR(1) DEFAULT '0' NOT NULL,
                                      FALIGNTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
                                      FSORTRULE VARCHAR(10) DEFAULT ' ' NOT NULL,
                                      FSORTNUMBER INT DEFAULT 0 NOT NULL,
                                      FSYSTEMALIAS NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                      FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_DISPLAYENTRY_L')
CREATE TABLE T_SOEBS_DISPLAYENTRY_L (
                                        FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                        FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                        FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                        FGROUP NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                        FDISPLAYALIAS NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                        FSYSTEMALIAS NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_DISPLAYPLAN')
CREATE TABLE T_SOEBS_DISPLAYPLAN (
                                     FID BIGINT DEFAULT 0 NOT NULL,
                                     FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                     FISDEFAULT CHAR(1) DEFAULT '0' NOT NULL,
                                     FPERSONID BIGINT DEFAULT 0 NOT NULL,
                                     FTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
                                     FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                     FCREATETIME DATETIME,
                                     FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                     FMODIFYTIME DATETIME,
                                     FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOEBS_DISPLAYPLAN_L')
CREATE TABLE T_SOEBS_DISPLAYPLAN_L (
                                       FID BIGINT DEFAULT 0 NOT NULL,
                                       FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                       FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                       FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOEBS_table.sql **/
