﻿/**Begin D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOEBS_constraint.sql **/
 EXEC P_ALTERPK 'PK_SOEBS_RESEARCHTASK', 'T_SOEBS_RESEARCHTASK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_RESEARCHTASK' AND KSQL_INDNAME = 'IDX_SOEBS_RESEARCHTASKORGID') CREATE INDEX IDX_SOEBS_RESEARCHTASKORGID ON T_SOEBS_RESEARCHTASK ( FADMINORGID );


 EXEC P_ALTERPK 'PK_SOEBS_GROUPMEMBER', 'T_SOEBS_GROUPMEMBER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_GROUPMEMBER' AND KSQL_INDNAME = 'IDX_SOEBS_GROUPMEMBER') CREATE INDEX IDX_SOEBS_GROUPMEMBER ON T_SOEBS_GROUPMEMBER ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_SOEBS_RESEARCHEMPLOYEE', 'T_SOEBS_RESEARCHEMPLOYEE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_RESEARCHEMPLOYEE' AND KSQL_INDNAME = 'IDX_SOEBS_RESEARCHEMPLOYEE') CREATE INDEX IDX_SOEBS_RESEARCHEMPLOYEE ON T_SOEBS_RESEARCHEMPLOYEE ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_SOEBS_RECIPIENT', 'T_SOEBS_RECIPIENT', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_RECIPIENT' AND KSQL_INDNAME = 'IDX_SOEBS_RECIPIENT') CREATE INDEX IDX_SOEBS_RECIPIENT ON T_SOEBS_RECIPIENT ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_SOEBS_RESEARCHTASK_L', 'T_SOEBS_RESEARCHTASK_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_RESEARCHTASK_L' AND KSQL_INDNAME = 'IDX_SOEBS_RESEARCHTASK_L') CREATE INDEX IDX_SOEBS_RESEARCHTASK_L ON T_SOEBS_RESEARCHTASK_L ( FLOCALEID ,FID );


 EXEC P_ALTERPK 'PK_SOBES_REPLANENTITY', 'T_SOBES_REPLANENTITY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOBES_REPLANENTITY' AND KSQL_INDNAME = 'IDX_SOBES_REPLANENTITY') CREATE INDEX IDX_SOBES_REPLANENTITY ON T_SOBES_REPLANENTITY ( FENTRYID );


 EXEC P_ALTERPK 'PK_SOEBS_REPLANENTRY', 'T_SOEBS_REPLANENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_REPLANENTRY' AND KSQL_INDNAME = 'IDX_SOEBS_REPLANENTRY') CREATE INDEX IDX_SOEBS_REPLANENTRY ON T_SOEBS_REPLANENTRY ( FID );


 EXEC P_ALTERPK 'PK_SOEBS_REPLANEMPENTRY', 'T_SOEBS_REPLANEMPENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_REPLANEMPENTRY' AND KSQL_INDNAME = 'IDX_SOEBS_REPLANEMPENTRY') CREATE INDEX IDX_SOEBS_REPLANEMPENTRY ON T_SOEBS_REPLANEMPENTRY ( FID );


 EXEC P_ALTERPK 'PK_SOEBS_RESEARCHPLAN', 'T_SOEBS_RESEARCHPLAN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_RESEARCHPLAN' AND KSQL_INDNAME = 'IDX_SOEBS_RESEARCHPLANORGID') CREATE INDEX IDX_SOEBS_RESEARCHPLANORGID ON T_SOEBS_RESEARCHPLAN ( FORGID );


 EXEC P_ALTERPK 'PK_SOEBS_REPLANMEMBER', 'T_SOEBS_REPLANMEMBER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_REPLANMEMBER' AND KSQL_INDNAME = 'IDX_SOEBS_REPLANMEMBER') CREATE INDEX IDX_SOEBS_REPLANMEMBER ON T_SOEBS_REPLANMEMBER ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_SOEBS_RESEARCHPLAN_L', 'T_SOEBS_RESEARCHPLAN_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_RESEARCHPLAN_L' AND KSQL_INDNAME = 'IDX_SOEBS_RESEARCHPLAN_L') CREATE INDEX IDX_SOEBS_RESEARCHPLAN_L ON T_SOEBS_RESEARCHPLAN_L ( FLOCALEID ,FID );


 EXEC P_ALTERPK 'PK_SOEBS_REGROUPMEMBER', 'T_SOEBS_REGROUPMEMBER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_REGROUPMEMBER' AND KSQL_INDNAME = 'IDX_SOEBS_REGROUPMEMBER') CREATE INDEX IDX_SOEBS_REGROUPMEMBER ON T_SOEBS_REGROUPMEMBER ( FID ,FBASEDATAID );



/**End D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOEBS_constraint.sql **/
